package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-08-16
 */
@ApiModel("内容数据-声部查询")
public class SubjectHomeSearch extends QueryInfo {

    @ApiModelProperty("排序类型 MUSIC:乐谱 PLATFORM_MUSIC：平台乐谱 TEACHER_MUSIC:老师乐谱 PRACTICE ：陪练课 PIANO:琴房课  LIVE:直播课  VIDEO:视频课 ")
    private String sortType;

    @ApiModelProperty("desc:倒序 asc:正序")
    private String order;

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    @Override
    public String getOrder() {
        return order;
    }

    @Override
    public void setOrder(String order) {
        this.order = order;
    }
}
